### Struct

# EDataServer Flag

since: 1.12

#### Description [src]

    struct EFlag {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 1.12

#### Functions

###### e_flag_new

Creates a new `EFlag` object. It is initially unset.

since: 1.12

#### Instance methods

###### e_flag_clear

Unsets `flag`. Subsequent calls to `e_flag_wait()` or `e_flag_wait_until()` will block until `flag` is set.

since: 1.12

###### e_flag_free

Destroys `flag`.

since: 1.12

###### e_flag_is_set

Returns the state of `flag`.

since: 1.12

###### e_flag_set

Sets `flag`. All threads waiting on `flag` are woken up. Threads that call `e_flag_wait()` or `e_flag_wait_until()` once `flag` is set will not block at all.

since: 1.12

###### e_flag_timed_wait

Blocks until `flag` is set, or until the time specified by `abs_time`. If `flag` is already set, the function returns immediately. The return value indicates the state of `flag` after waiting.

deprecated: 3.8 since: 1.12

###### e_flag_wait

Blocks until `flag` is set. If `flag` is already set, the function returns immediately.

since: 1.12

###### e_flag_wait_until

Blocks until `flag` is set, or until the time specified by `end_time`. If `flag` is already set, the function returns immediately. The return value indicates the state of `flag` after waiting.

since: 3.8